From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/dtc/
Date: Tue, 6 Jun 2023 04:02:41 +0000 (UTC) [thread overview]
Message-ID: <1686024146.fe98a4171f21caa41ec6b9bcba9d1b3f0f5aa6f7.sam@gentoo> (raw)
commit: fe98a4171f21caa41ec6b9bcba9d1b3f0f5aa6f7
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 6 04:02:26 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jun 6 04:02:26 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe98a417
sys-apps/dtc: conditionally build tests
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-apps/dtc/dtc-1.7.0.ebuild | 12 +++++++++++-
sys-apps/dtc/dtc-9999.ebuild | 12 +++++++++++-
2 files changed, 22 insertions(+), 2 deletions(-)
diff --git a/sys-apps/dtc/dtc-1.7.0.ebuild b/sys-apps/dtc/dtc-1.7.0.ebuild
index 3c46abe827ed..117f6b36238e 100644
--- a/sys-apps/dtc/dtc-1.7.0.ebuild
+++ b/sys-apps/dtc/dtc-1.7.0.ebuild
@@ -18,7 +18,8 @@ HOMEPAGE="https://devicetree.org/ https://git.kernel.org/cgit/utils/dtc/dtc.git/
LICENSE="GPL-2"
SLOT="0"
-IUSE="static-libs yaml"
+IUSE="static-libs test yaml"
+RESTRICT="!test? ( test )"
BDEPEND="
sys-devel/bison
@@ -39,10 +40,19 @@ PATCHES=(
"${FILESDIR}"/${P}-meson-macos.patch
)
+src_prepare() {
+ default
+
+ if ! use test ; then
+ sed -i -e "/subdir('tests')/d" meson.build || die
+ fi
+}
+
src_configure() {
local emesonargs=(
-Ddefault_library=$(usex static-libs both shared)
-Dpython=disabled
+ -Dtools=true
-Dvalgrind=disabled # only used for some tests
$(meson_feature yaml)
)
diff --git a/sys-apps/dtc/dtc-9999.ebuild b/sys-apps/dtc/dtc-9999.ebuild
index b1873ee6eac6..ce10f9e3b775 100644
--- a/sys-apps/dtc/dtc-9999.ebuild
+++ b/sys-apps/dtc/dtc-9999.ebuild
@@ -18,7 +18,8 @@ HOMEPAGE="https://devicetree.org/ https://git.kernel.org/cgit/utils/dtc/dtc.git/
LICENSE="GPL-2"
SLOT="0"
-IUSE="static-libs yaml"
+IUSE="static-libs test yaml"
+RESTRICT="!test? ( test )"
BDEPEND="
sys-devel/bison
@@ -34,10 +35,19 @@ DOCS=(
Documentation/manual.txt
)
+src_prepare() {
+ default
+
+ if ! use test ; then
+ sed -i -e "/subdir('tests')/d" meson.build || die
+ fi
+}
+
src_configure() {
local emesonargs=(
-Ddefault_library=$(usex static-libs both shared)
-Dpython=disabled
+ -Dtools=true
-Dvalgrind=disabled # only used for some tests
$(meson_feature yaml)
)
next reply other threads:[~2023-06-06 4:02 UTC|newest]
Thread overview: 49+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-06-06 4:02 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-13 19:49 [gentoo-commits] repo/gentoo:master commit in: sys-apps/dtc/ Sam James
2024-10-09 6:59 Arthur Zamarin
2024-10-04 9:55 Sam James
2024-10-03 16:11 Arthur Zamarin
2024-10-02 22:53 Sam James
2024-10-02 22:53 Sam James
2024-10-02 22:53 Sam James
2024-10-02 22:53 Sam James
2024-09-22 10:10 Sam James
2024-01-08 12:28 Sam James
2023-09-25 2:21 Sam James
2023-06-07 1:51 Sam James
2023-06-06 8:48 Sam James
2023-06-06 4:02 Sam James
2023-06-06 4:02 Sam James
2022-08-31 7:06 Andreas Sturmlechner
2022-05-19 12:19 WANG Xuerui
2020-10-13 10:01 Agostino Sarubbo
2020-10-13 9:26 Agostino Sarubbo
2020-10-11 9:00 Sergei Trofimovich
2020-10-11 8:57 Sergei Trofimovich
2020-10-10 17:13 Sam James
2020-10-10 17:13 Sam James
2020-08-19 22:40 Sam James
2020-07-07 7:19 Sergei Trofimovich
2020-07-07 7:19 Sergei Trofimovich
2020-07-07 6:55 Sergei Trofimovich
2020-07-07 6:48 Sergei Trofimovich
2020-07-06 22:40 Sergei Trofimovich
2020-07-06 18:51 Sergei Trofimovich
2020-07-06 18:44 Sergei Trofimovich
2020-05-02 17:51 Sergei Trofimovich
2020-04-03 13:11 Agostino Sarubbo
2020-04-03 12:12 Agostino Sarubbo
2020-04-03 12:06 Agostino Sarubbo
2020-03-07 9:39 Sergei Trofimovich
2019-10-05 23:36 Göktürk Yüksek
2019-05-26 22:27 Thomas Deutschmann
2019-05-20 11:07 Mikle Kolyada
2018-12-11 14:20 Michał Górny
2018-12-01 13:27 Jeroen Roovers
2018-06-26 3:23 Jason Donenfeld
2017-11-13 15:41 Manuel Rüger
2017-03-17 8:11 Jeroen Roovers
2017-03-08 5:01 Jeroen Roovers
2016-12-07 21:22 Mike Frysinger
2016-09-11 6:54 Jeroen Roovers
2016-01-04 22:26 Mike Frysinger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1686024146.fe98a4171f21caa41ec6b9bcba9d1b3f0f5aa6f7.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox